Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._2_0.assertion
Class KeyInfoConfirmationDataType

    java.lang.Object
      oasis.names.tc.saml._2_0.assertion.SubjectConfirmationDataType
          oasis.names.tc.saml._2_0.assertion.KeyInfoConfirmationDataType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:11+01:00",
               comments="JAXB RI v2.2.11")
    public class KeyInfoConfirmationDataType

extends SubjectConfirmationDataType
implements Serializable

Java class for KeyInfoConfirmationDataType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="KeyInfoConfirmationDataType">
       <complexContent>
         <restriction base="{urn:oasis:names:tc:SAML:2.0:assertion}SubjectConfirmationDataType">
           <sequence>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}KeyInfo" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`KeyInfoConfirmationDataType()`

Method Summary

Methods inherited from class oasis.names.tc.saml._2_0.assertion.SubjectConfirmationDataType
`getAddress, getContent, getInResponseTo, getNotBefore, getNotOnOrAfter, getOtherAttributes, getRecipient, setAddress, setInResponseTo, setNotBefore, setNotOnOrAfter, setRecipient`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyInfoConfirmationDataType

    public KeyInfoConfirmationDataType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.